Menu

What are requirements for Android TV devices

Kitcast requires Android TV Box or TV device with:

  • Android 5.1 or higher
  • 1 GB of RAM Memory
  • 8 Gb of Memory Storage

If you have all of those and Kitcast still does not work, please check Android API level with device manufacturer.

Note: Minimal Android API level for Kitcast app is API Level 21.

 

* Be aware that Kitcast for Android devices is currently in Beta so it might work unstable. Should you notice that, please report it to our support team